IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/16
Addresses2^112
/64 networks2^48
- Network
fcce::/16- First address
fcce::- Last address
fcce:ffff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
- /64 networks (LANs)
- 281,474,976,710,656 (2^48)
- Full form
fcce:0000:0000:0000:0000:0000:0000:0000- Type
- Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8 - Reverse DNS zone
e.c.c.f.ip6.arpa
Split into smaller subnets
fcce::/16 makes 65,536 subnets of /32; the first 256 are listed.
| # | Subnet | Last address |
|---|---|---|
| 1 | fcce::/32 | fcce:0:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | fcce:1::/32 | fcce:1:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | fcce:2::/32 | fcce:2:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | fcce:3::/32 | fcce:3:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | fcce:4::/32 | fcce:4:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | fcce:5::/32 | fcce:5:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | fcce:6::/32 | fcce:6:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | fcce:7::/32 | fcce:7:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | fcce:8::/32 | fcce:8:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | fcce:9::/32 | fcce:9:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | fcce:a::/32 | fcce:a:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | fcce:b::/32 | fcce:b:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | fcce:c::/32 | fcce:c:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | fcce:d::/32 | fcce:d:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | fcce:e::/32 | fcce:e:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | fcce:f::/32 | fcce:f:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | fcce:10::/32 | fcce:10:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | fcce:11::/32 | fcce:11:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | fcce:12::/32 | fcce:12:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | fcce:13::/32 | fcce:13:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | fcce:14::/32 | fcce:14:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | fcce:15::/32 | fcce:15:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | fcce:16::/32 | fcce:16:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | fcce:17::/32 | fcce:17:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | fcce:18::/32 | fcce:18:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | fcce:19::/32 | fcce:19:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | fcce:1a::/32 | fcce:1a:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | fcce:1b::/32 | fcce:1b:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | fcce:1c::/32 | fcce:1c:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | fcce:1d::/32 | fcce:1d:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | fcce:1e::/32 | fcce:1e:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | fcce:1f::/32 | fcce:1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | fcce:20::/32 | fcce:20:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | fcce:21::/32 | fcce:21:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | fcce:22::/32 | fcce:22:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | fcce:23::/32 | fcce:23:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | fcce:24::/32 | fcce:24:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | fcce:25::/32 | fcce:25:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | fcce:26::/32 | fcce:26:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | fcce:27::/32 | fcce:27:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | fcce:28::/32 | fcce:28:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | fcce:29::/32 | fcce:29:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | fcce:2a::/32 | fcce:2a:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | fcce:2b::/32 | fcce:2b:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | fcce:2c::/32 | fcce:2c:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | fcce:2d::/32 | fcce:2d:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | fcce:2e::/32 | fcce:2e:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | fcce:2f::/32 | fcce:2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | fcce:30::/32 | fcce:30:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | fcce:31::/32 | fcce:31:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | fcce:32::/32 | fcce:32:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | fcce:33::/32 | fcce:33:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | fcce:34::/32 | fcce:34:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | fcce:35::/32 | fcce:35:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | fcce:36::/32 | fcce:36:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | fcce:37::/32 | fcce:37:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | fcce:38::/32 | fcce:38:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | fcce:39::/32 | fcce:39:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | fcce:3a::/32 | fcce:3a:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | fcce:3b::/32 | fcce:3b:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | fcce:3c::/32 | fcce:3c:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | fcce:3d::/32 | fcce:3d:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | fcce:3e::/32 | fcce:3e:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | fcce:3f::/32 | fcce:3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | fcce:40::/32 | fcce:40:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | fcce:41::/32 | fcce:41:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | fcce:42::/32 | fcce:42:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | fcce:43::/32 | fcce:43:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | fcce:44::/32 | fcce:44:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | fcce:45::/32 | fcce:45:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | fcce:46::/32 | fcce:46:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | fcce:47::/32 | fcce:47:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | fcce:48::/32 | fcce:48:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | fcce:49::/32 | fcce:49:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | fcce:4a::/32 | fcce:4a:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | fcce:4b::/32 | fcce:4b:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | fcce:4c::/32 | fcce:4c:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | fcce:4d::/32 | fcce:4d:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | fcce:4e::/32 | fcce:4e:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | fcce:4f::/32 | fcce:4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | fcce:50::/32 | fcce:50:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | fcce:51::/32 | fcce:51:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | fcce:52::/32 | fcce:52:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | fcce:53::/32 | fcce:53:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | fcce:54::/32 | fcce:54:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | fcce:55::/32 | fcce:55:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | fcce:56::/32 | fcce:56:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | fcce:57::/32 | fcce:57:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | fcce:58::/32 | fcce:58:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | fcce:59::/32 | fcce:59:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | fcce:5a::/32 | fcce:5a:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | fcce:5b::/32 | fcce:5b:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | fcce:5c::/32 | fcce:5c:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | fcce:5d::/32 | fcce:5d:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | fcce:5e::/32 | fcce:5e:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | fcce:5f::/32 | fcce:5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | fcce:60::/32 | fcce:60:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | fcce:61::/32 | fcce:61:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | fcce:62::/32 | fcce:62:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | fcce:63::/32 | fcce:63:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | fcce:64::/32 | fcce:64:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | fcce:65::/32 | fcce:65:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | fcce:66::/32 | fcce:66:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | fcce:67::/32 | fcce:67:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | fcce:68::/32 | fcce:68:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | fcce:69::/32 | fcce:69:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | fcce:6a::/32 | fcce:6a:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | fcce:6b::/32 | fcce:6b:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | fcce:6c::/32 | fcce:6c:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | fcce:6d::/32 | fcce:6d:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | fcce:6e::/32 | fcce:6e:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | fcce:6f::/32 | fcce:6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | fcce:70::/32 | fcce:70:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | fcce:71::/32 | fcce:71:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | fcce:72::/32 | fcce:72:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | fcce:73::/32 | fcce:73:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | fcce:74::/32 | fcce:74:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | fcce:75::/32 | fcce:75:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | fcce:76::/32 | fcce:76:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | fcce:77::/32 | fcce:77:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | fcce:78::/32 | fcce:78:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | fcce:79::/32 | fcce:79:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | fcce:7a::/32 | fcce:7a:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | fcce:7b::/32 | fcce:7b:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | fcce:7c::/32 | fcce:7c:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | fcce:7d::/32 | fcce:7d:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | fcce:7e::/32 | fcce:7e:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | fcce:7f::/32 | fcce:7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | fcce:80::/32 | fcce:80:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | fcce:81::/32 | fcce:81:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | fcce:82::/32 | fcce:82:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | fcce:83::/32 | fcce:83:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | fcce:84::/32 | fcce:84:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | fcce:85::/32 | fcce:85:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | fcce:86::/32 | fcce:86:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | fcce:87::/32 | fcce:87:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | fcce:88::/32 | fcce:88:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | fcce:89::/32 | fcce:89:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | fcce:8a::/32 | fcce:8a:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | fcce:8b::/32 | fcce:8b:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | fcce:8c::/32 | fcce:8c:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | fcce:8d::/32 | fcce:8d:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | fcce:8e::/32 | fcce:8e:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | fcce:8f::/32 | fcce:8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | fcce:90::/32 | fcce:90:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | fcce:91::/32 | fcce:91:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | fcce:92::/32 | fcce:92:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | fcce:93::/32 | fcce:93:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | fcce:94::/32 | fcce:94:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | fcce:95::/32 | fcce:95:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | fcce:96::/32 | fcce:96:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | fcce:97::/32 | fcce:97:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | fcce:98::/32 | fcce:98:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | fcce:99::/32 | fcce:99:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | fcce:9a::/32 | fcce:9a:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | fcce:9b::/32 | fcce:9b:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | fcce:9c::/32 | fcce:9c:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | fcce:9d::/32 | fcce:9d:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | fcce:9e::/32 | fcce:9e:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | fcce:9f::/32 | fcce:9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | fcce:a0::/32 | fcce:a0:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | fcce:a1::/32 | fcce:a1:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | fcce:a2::/32 | fcce:a2:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | fcce:a3::/32 | fcce:a3:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | fcce:a4::/32 | fcce:a4:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | fcce:a5::/32 | fcce:a5:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | fcce:a6::/32 | fcce:a6:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | fcce:a7::/32 | fcce:a7:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | fcce:a8::/32 | fcce:a8:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | fcce:a9::/32 | fcce:a9:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | fcce:aa::/32 | fcce:aa:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | fcce:ab::/32 | fcce:ab:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | fcce:ac::/32 | fcce:ac:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | fcce:ad::/32 | fcce:ad:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | fcce:ae::/32 | fcce:ae:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | fcce:af::/32 | fcce:af:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | fcce:b0::/32 | fcce:b0:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | fcce:b1::/32 | fcce:b1:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | fcce:b2::/32 | fcce:b2:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | fcce:b3::/32 | fcce:b3:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | fcce:b4::/32 | fcce:b4:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | fcce:b5::/32 | fcce:b5:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | fcce:b6::/32 | fcce:b6:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | fcce:b7::/32 | fcce:b7:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | fcce:b8::/32 | fcce:b8:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | fcce:b9::/32 | fcce:b9:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | fcce:ba::/32 | fcce:ba:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | fcce:bb::/32 | fcce:bb:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | fcce:bc::/32 | fcce:bc:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | fcce:bd::/32 | fcce:bd:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | fcce:be::/32 | fcce:be:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | fcce:bf::/32 | fcce:bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | fcce:c0::/32 | fcce:c0:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | fcce:c1::/32 | fcce:c1:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | fcce:c2::/32 | fcce:c2:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | fcce:c3::/32 | fcce:c3:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | fcce:c4::/32 | fcce:c4:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | fcce:c5::/32 | fcce:c5:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | fcce:c6::/32 | fcce:c6:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | fcce:c7::/32 | fcce:c7:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | fcce:c8::/32 | fcce:c8:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | fcce:c9::/32 | fcce:c9:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | fcce:ca::/32 | fcce:ca:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | fcce:cb::/32 | fcce:cb:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | fcce:cc::/32 | fcce:cc:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | fcce:cd::/32 | fcce:cd:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | fcce:ce::/32 | fcce:ce:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | fcce:cf::/32 | fcce:cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | fcce:d0::/32 | fcce:d0:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | fcce:d1::/32 | fcce:d1:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | fcce:d2::/32 | fcce:d2:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | fcce:d3::/32 | fcce:d3:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | fcce:d4::/32 | fcce:d4:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | fcce:d5::/32 | fcce:d5:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | fcce:d6::/32 | fcce:d6:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | fcce:d7::/32 | fcce:d7:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | fcce:d8::/32 | fcce:d8:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | fcce:d9::/32 | fcce:d9:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | fcce:da::/32 | fcce:da:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | fcce:db::/32 | fcce:db:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | fcce:dc::/32 | fcce:dc:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | fcce:dd::/32 | fcce:dd:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | fcce:de::/32 | fcce:de:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | fcce:df::/32 | fcce:df:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | fcce:e0::/32 | fcce:e0:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | fcce:e1::/32 | fcce:e1:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | fcce:e2::/32 | fcce:e2:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | fcce:e3::/32 | fcce:e3:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | fcce:e4::/32 | fcce:e4:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | fcce:e5::/32 | fcce:e5:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | fcce:e6::/32 | fcce:e6:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | fcce:e7::/32 | fcce:e7:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | fcce:e8::/32 | fcce:e8:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | fcce:e9::/32 | fcce:e9:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | fcce:ea::/32 | fcce:ea:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | fcce:eb::/32 | fcce:eb:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | fcce:ec::/32 | fcce:ec:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | fcce:ed::/32 | fcce:ed:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | fcce:ee::/32 | fcce:ee:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | fcce:ef::/32 | fcce:ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | fcce:f0::/32 | fcce:f0:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | fcce:f1::/32 | fcce:f1:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | fcce:f2::/32 | fcce:f2:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | fcce:f3::/32 | fcce:f3:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | fcce:f4::/32 | fcce:f4:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | fcce:f5::/32 | fcce:f5:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | fcce:f6::/32 | fcce:f6:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | fcce:f7::/32 | fcce:f7:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | fcce:f8::/32 | fcce:f8:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | fcce:f9::/32 | fcce:f9:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | fcce:fa::/32 | fcce:fa:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | fcce:fb::/32 | fcce:fb:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | fcce:fc::/32 | fcce:fc:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | fcce:fd::/32 | fcce:fd:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | fcce:fe::/32 | fcce:fe:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | fcce:ff::/32 | fcce:ff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |